Skip to main content
GET
/
1
/
agents
/
{agentId}
/
allowed-domains
/
{domainId}
curl
curl --request GET \
  --url https://example.algolia.net/agent-studio/1/agents/lorem/allowed-domains/lorem \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "agentId": "<string>",
  "appId": "<string>",
  "createdAt": "<string>",
  "domain": "<string>",
  "id": "<string>",
  "updatedAt": "<string>"
}
Required ACL: settings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

agentId
string
required

The agentId.

domainId
string
required

The domainId.

Response

Successful Response.

Single allowed domain in API responses.

agentId
string
required
appId
string
required
createdAt
string
required
domain
string
required
id
string
required
updatedAt
string
required
Last modified on June 11, 2026